# husk

Builds a website out of a git repository file structure and markdown files

* `README.md` is your frontpage
* The file structure of your git repository is used as a tree strucuture for the website. Build your website through markdown files in your git repository only
* Parses Markdown only, ignores your scripts and code files. Write documentation in your code repository, let husk deal with the rest 
* Search your website's files live and without a database
* Builds a TOC of your markdown file as sections of the website for ease of use


## Usage

To build a static website do the following steps
1. Clone your git repository
2. Put its path into `settings.toml`
3. Run `python3 freezer.py`

There will be a directory called `build` containing your static website after the script is finished. Copy it to your webserver and enjoy.

### Debugging

* Debug as __dynamic website__ via running `./start.sh` and visting `localhost:5000`

* Debug the __static website__ after you did the build via
```sh
cd build/
python3 -m http.server
```
